Package icyllis.modernui.view

# Class HapticFeedbackConstants

java.lang.Object
icyllis.modernui.view.HapticFeedbackConstants

public final class HapticFeedbackConstants extends Object
Constants to be used to perform haptic feedback effects via `View.performHapticFeedback(int)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ASSISTANT_BUTTON`
  Invocation of the voice assistant via hardware button.
  `static final int`
  `CALENDAR_DATE`
  The user has pressed either a day or month or year date of a Calendar.
  `static final int`
  `CLOCK_TICK`
  The user has pressed either an hour or minute tick of a Clock.
  `static final int`
  `CONFIRM`
  A haptic effect to signal the confirmation or successful completion of a user interaction.
  `static final int`
  `CONTEXT_CLICK`
  The user has performed a context click on an object.
  `static final int`
  `DRAG_CROSSING`
  The user has moved the dragged object within a droppable area.
  `static final int`
  `EDGE_RELEASE`
  The user's squeeze crossed the gesture's release threshold.
  `static final int`
  `EDGE_SQUEEZE`
  The user's squeeze crossed the gesture's initiation threshold.
  `static final int`
  `ENTRY_BUMP`
  The user unlocked the device
  `static final int`
  `FLAG_IGNORE_GLOBAL_SETTING`
  Flag for `View.performHapticFeedback(int, int)`: Ignore the global setting for whether to perform haptic feedback, do it always.
  `static final int`
  `FLAG_IGNORE_VIEW_SETTING`
  Flag for `View.performHapticFeedback(int, int)`: Ignore the setting in the view for whether to perform haptic feedback, do it always.
  `static final int`
  `GESTURE_END`
  The user has finished a gesture (e.g.
  `static final int`
  `GESTURE_START`
  The user has started a gesture (e.g.
  `static final int`
  `KEYBOARD_PRESS`
  The user has pressed a virtual or software keyboard key.
  `static final int`
  `KEYBOARD_RELEASE`
  The user has released a virtual keyboard key.
  `static final int`
  `KEYBOARD_TAP`
  The user has pressed a soft keyboard key.
  `static final int`
  `LONG_PRESS`
  The user has performed a long press on an object that is resulting in an action being performed.
  `static final int`
  `REJECT`
  A haptic effect to signal the rejection or failure of a user interaction.
  `static final int`
  `SAFE_MODE_ENABLED`
  The phone has booted with safe mode enabled.
  `static final int`
  `TEXT_HANDLE_MOVE`
  The user has performed a selection/insertion handle move on text field.
  `static final int`
  `VIRTUAL_KEY`
  The user has pressed on a virtual on-screen key.
  `static final int`
  `VIRTUAL_KEY_RELEASE`
  The user has released a virtual key.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LONG_PRESS

    public static final int LONG_PRESS
    The user has performed a long press on an object that is resulting in an action being performed.
    See Also:
      - Constant Field Values

  - ### VIRTUAL_KEY

    public static final int VIRTUAL_KEY
    The user has pressed on a virtual on-screen key.
    See Also:
      - Constant Field Values

  - ### KEYBOARD_TAP

    public static final int KEYBOARD_TAP
    The user has pressed a soft keyboard key.
    See Also:
      - Constant Field Values

  - ### CLOCK_TICK

    public static final int CLOCK_TICK
    The user has pressed either an hour or minute tick of a Clock.
    See Also:
      - Constant Field Values

  - ### CALENDAR_DATE

    public static final int CALENDAR_DATE
    The user has pressed either a day or month or year date of a Calendar.
    See Also:
      - Constant Field Values

  - ### CONTEXT_CLICK

    public static final int CONTEXT_CLICK
    The user has performed a context click on an object.
    See Also:
      - Constant Field Values

  - ### KEYBOARD_PRESS

    public static final int KEYBOARD_PRESS
    The user has pressed a virtual or software keyboard key.
    See Also:
      - Constant Field Values

  - ### KEYBOARD_RELEASE

    public static final int KEYBOARD_RELEASE
    The user has released a virtual keyboard key.
    See Also:
      - Constant Field Values

  - ### VIRTUAL_KEY_RELEASE

    public static final int VIRTUAL_KEY_RELEASE
    The user has released a virtual key.
    See Also:
      - Constant Field Values

  - ### TEXT_HANDLE_MOVE

    public static final int TEXT_HANDLE_MOVE
    The user has performed a selection/insertion handle move on text field.
    See Also:
      - Constant Field Values

  - ### ENTRY_BUMP

    public static final int ENTRY_BUMP
    The user unlocked the device
    See Also:
      - Constant Field Values

  - ### DRAG_CROSSING

    public static final int DRAG_CROSSING
    The user has moved the dragged object within a droppable area.
    See Also:
      - Constant Field Values

  - ### GESTURE_START

    public static final int GESTURE_START
    The user has started a gesture (e.g. on the soft keyboard).
    See Also:
      - Constant Field Values

  - ### GESTURE_END

    public static final int GESTURE_END
    The user has finished a gesture (e.g. on the soft keyboard).
    See Also:
      - Constant Field Values

  - ### EDGE_SQUEEZE

    public static final int EDGE_SQUEEZE
    The user's squeeze crossed the gesture's initiation threshold.
    See Also:
      - Constant Field Values

  - ### EDGE_RELEASE

    public static final int EDGE_RELEASE
    The user's squeeze crossed the gesture's release threshold.
    See Also:
      - Constant Field Values

  - ### CONFIRM

    public static final int CONFIRM
    A haptic effect to signal the confirmation or successful completion of a user interaction.
    See Also:
      - Constant Field Values

  - ### REJECT

    public static final int REJECT
    A haptic effect to signal the rejection or failure of a user interaction.
    See Also:
      - Constant Field Values

  - ### SAFE_MODE_ENABLED

    public static final int SAFE_MODE_ENABLED
    The phone has booted with safe mode enabled. This is a private constant. Feel free to renumber as desired.
    See Also:
      - Constant Field Values

  - ### ASSISTANT_BUTTON

    public static final int ASSISTANT_BUTTON
    Invocation of the voice assistant via hardware button.
    See Also:
      - Constant Field Values

  - ### FLAG_IGNORE_VIEW_SETTING

    public static final int FLAG_IGNORE_VIEW_SETTING
    Flag for `View.performHapticFeedback(int, int)`: Ignore the setting in the view for whether to perform haptic feedback, do it always.
    See Also:
      - Constant Field Values

  - ### FLAG_IGNORE_GLOBAL_SETTING

    public static final int FLAG_IGNORE_GLOBAL_SETTING
    Flag for `View.performHapticFeedback(int, int)`: Ignore the global setting for whether to perform haptic feedback, do it always.
    See Also:
      - Constant Field Values